ABC - Introduction.

Smart Converter™
Smart Converter is a multipurpose program for viewing, converting and editing images, with a rich toolset, various effects, and filters. Beside that, you can carry out all these operations in a batch mode, allowing you to avoid repetitive operations in processing a large number of images.

It also has a convenient ability to run slideshow and capture images from the screen. It’s also worth mentioning small but handy features like printing of images directly from Smart Converter and the option for setting them as wallpaper on your desktop.

Version: 1.7 - Release

System requirements:
  • Windows 95/98/NT/2000/ME/XP
  • Pentium 90MHz Processor or greater
  • 8MB RAM
  • Microsoft compatible mouse
    • Copyright © 2002-2003, Acoll Software


ABC - Quick Start

Quick Start
  • Step 1.
    Open Smart Converter by clicking its icon on the Windows Start Menu or double clicking the icon on your desktop.

  • Step 2.
    Click on the File menu, then the Open option to get a file for use in the viewer. Open dialog box will allow you to select the file you want.

  • Step 3.
    When your image in the viewer, you can convert it to another format. Click on the File menu, then the Convert option to set a name and extension for output file. Save dialog box will allow you to select the name and extension you want.
    • Copyright © 2002-2003, Acoll Software


ABC - Supported File Formats

Supported File Formats
These are the file formats supported by the current version of Smart Converter:

BMP, JPG, GIF, PNG, TIF, JPEG, RLE, SCR, DIB, PCD, RGB, BW, ICO, WMF, TIFF, TGA, PCX, VST, EMF, JIF, JPE, JFIF, JFI, PIC, CEL, AFI, VDA, ICB, WIN, PCC, RGBA, SGI, CUT, TARGA, TAR, PPM, PGM, PBM ,RLA ,RPF, PSD, PDD, PSP, CUR, ANI, INT, INTA, JNG, MNG, 411, FAX, EPS, WBMP, PXM, PIX.

BMP
Windows or OS/2 Bitmap: The image format Microsoft created for use in Windows

JPG, JPEG, JPE
Joint Photographic Experts Group: 24-bit support and fine compression make this format another standard for publishing on the Web.

GIF
Graphics Interchange Format: The format created by Compurseve for the faster exchange of graphics over modem lines; widely used in Web publishing.

PNG
Portable Network Graphics: A format that combines the bets qualities of GIFs and JPGs; used for Web publishing.

TIF, TIFF
Tagged Image File Format: a widely used raster format, jointly supported by Microsoft and Aldus; used mostly in desktop publishing; can be viewed on both Macs and PCs; this is the format used by most fax machines.

RLE
Run Length Encoded image format (Utah); device-independent means of storing multi-level raster images.

DIB
Device Independent Bitmap: another form of BMP, used widely with printers and display devices.

PCD
Kodak Photo CD: digital images from Kodak, presented as "slides" on a Cd-Rom.

ICO
Windows Icon: used by Windows to represent programs and other files.

WMF
Windows MetaFile format; Microsoft graphics file, more compact and portable than BMP images.

TGA, TARGA, TAR, PIX
Truevision Advanced Raster Graphics Adapter (TARGA): Format by Truevision, Inc, used to support image capturing; used with a series of high-resolution graphics adaptors released under the TARGA name.

PCX, PCC
PC Paintbrush format from ZSoft Corporation. These images are used by many word-processing and desktop publishing tools.

VST
TrueVision Vista.

EMF
Enhanced MetaFile format; Microsoft's device-independent graphics format for Windows 95.

JIF, JFIF, JIF
another forms of JPG

PIC, CEL
Autodesk images.

AFI
Another form of TrueVision Targa.

RGB, RGBA, SGI, BW, INT, INTA
Silicon Graphics Images. SGI black & white (*.bw), Red Green Blue (*.rgb), (*.rgba) and INT images.

VDA, ICB, WIN
TrueVision images (like TarGA and ViSTa).

SCR
Word 5.x screen capture images.

CUT
Dr.Halo (*.cut,*.pal) images.

PPM, PGM, PBM, PXM
Portable Bitmap (*.pbm), Portable Pixelmap (*.ppm) and Portable Greymap (*.pgm) images.

RLA, RPF
SGI Wavefront images.

PSD, PDD
Adobe Photoshop images. Note: Advanced Batch Converter doesn't support Adobe PhotoDeluxe PDD files - Adobe Photoshop PDDs only.

PSP
Paint Shop Pro images.

CUR, ANI
Cursor Recource file format for Microsoft Windows 95; contains image data for cursors used by Windows applications.

EPS (Preview)
Encapsulated PostScript: mostly used for desktop publishing; use the Postscript page description language; these can be used on both PCs and MACs.

FAX
GFI FAX images.

411
Sony Mavica camera images.

JNG
JPEG Network Graphics.

MNG
Multiple-image Network Graphics.

WBMP
WAP Bitmap. WBMP is a graphics format used for example by mobile phones supporting the WAP-protocol.
Copyright © 2002-2003, Acoll Software


ABC - Command Line

Command Line
Smart Converter CL (Command Line edition) is a multipurpose program for converting and editing images (batch or otherwise) through the use of Command Line input. This enables you to carry out conversions without the use of the GUI, and to execute these from within other programs.

Available commands:
resize, reduce, rotate, flip, mirror, crop, filter, negative, grayscale, transparent, and more.

More information


ABC - Open

Open
Click on the File menu, then Open (or use the Open tool on the toolbar.) A dialog allows you to open a file for use in Smart Converter.

Use the Look in box to locate the file you want, or type a file name into File Name. Files of type lets you limit your choice, showing only the type of file you want (BMP, for instance.) The default is Common Graphic Files (Windows can not display at same time all file types supported by Smart Converter).

Double click on an image filename brings the file into the viewer.

To close without opening a file, click Cancel . Another way to close is to click the X in the upper right corner.

After the opening, you will see an image or you will get an error message, if the file type is unsupported by Smart Converter.


ABC - Convert

Convert
Click on the File menu, select Convert (or use the Convert tool on the toolbar.)

Use Save in and File name to find the directory where you want the converted file saved.

To save as a different type, use Save as type. Click the arrow and a list of file types drops down. Move the cursor to the one you want and click again. When you save, the file will be converted to this new type.

Clicking the "Options" button brings up special options for some file types (GIF, JPG, PNG, TIF, BMP, PCX, TGA, ICO).

Click "Save" to send the file to your disk drive. To exit without saving, click "Cancel".

Note: File conversion may also be performed from outside Smart Converter, using a Command Line Option.


ABC - Batch

Batch
Click on the File menu, then Batch (or use the Batch tool on the toolbar.) A dialog allows you to select a directory from which the files will be taken.

Select the output directory at bottom right. If you do not have the full path for this directory, click the Browse button to find it. When you have selected a directory with Browse, click the OK button. You can set the current directory as output directory if you press the "Set current directory as output" button.

Check "Use advanced options" button to apply many special operations to the images during conversion (Resize, Rotate, Flip, Mirror, Crop etc).

Select the files you want to convert by clicking their names.

If you want to include all images from sub-folders, check the "Include sub-folders" option.

Click the "Add" button to add the file that will be converted. Click the "Add all" button to select every image in the directory with the extension choosen in Files of type. "Remove" and "Remove all" take chosen files back out.

Select the Output Format at bottom right. The "Options" button lets you choose various operations to perform.

Click the "Start" button to begin. A box shows the progress of the conversion. If you need to halt, click the "Stop" button. When the process is done, click Exit to close the dialog.

When you are finished converting files, click "Cancel" to exit. Another way of exiting is to click the X in the upper right corner.

Note: File conversion may also be performed from outside Smart Converter, using a Command Line Option.


ABC - Options

Options
Click on the File menu, select Options (or use the Options tool on the toolbar.)

A dialog allows you to change many of the basic functions of Smart Converter.

Click one of the tabs to see the properties in that section. They are:
Main Window (Interface options/Open Dialog options/Save dialog options):
Input formats (WMF/EMF/GIF/ANI/PCD)
Zoom.

Note: Click "Default" to restoring the Default settings.


ABC - Acquire.

Acquire
Click on the File menu, click Acquire.

The program that runs your scanner, or any other TWAIN compatible device (digital camera, TV card etc.), will appear. Follow the steps given in your scanner's manual for scanning an image.

When finished, the image will be placed into Smart Converter.


ABC - Select Scanner

Select Scanner
Click on the File menu, then Select scanner.

Allows you to choose from the scanners, or any other TWAIN compatible device (digital camera, TV card etc.), installed on your computer (if more than one is available).

Click the name of the device you want to use, then the Select button. To exit without making a selection, click Cancel .


ABC - Print

Print
On the File menu, click Print (or use the Print tool on the toolbar.)

A dialog appears with options for printing an image.

Select options, then click Print. This will bring up the Windows print dialog, from which you finish printing as usual.

Click Cancel to exit the Print dialog without printing, or when the job is done.


ABC - Exit

Exit
There are several ways to exit the program:

  • On the main window, press the Alt+F4 key on your keyboard. The program will close immediately. (If you're in any of the menus or dialog boxes, Alt+F4 will back out of that window. Press it again to exit.)

  • From the File menu, you can press the E key, to close Smart Converter. When using the mouse, just click the EXIT option to close the viewer.

  • Click the logo in the upper left corner of the program window to bring up the standard Windows control box. Click the Close option.

  • Click the X box in the upper right corner of the program window. This will also close the program.
    • Copyright © 2002-2003, Acoll Software


ABC - Undo

Undo
Click on the Edit menu, select Undo.

"Backs up" from the last action you took. Undo will take back many functions of Smart Converter. Only one function may be undone; Smart Converter does not save them up.


ABC - Add Text.

Add Text
Click the Edit menu then Add Text. A dialog box will open.

In the Text box on the left, type in the text you want to put on the image.

Use the Font button to change the size, style, color, etc., of the text.

Set align (top or bottom), set transpency level and choose a background color.

Click the OK button to add the text to your image. To close the dialog without adding any text, click the Cancel button.

Click Default button to restore default settings.


ABC - Crop

Crop
Use the left mouse button to outline the area (selection), click on the Edit menu, then Crop.

The area outside the outline will be thrown away, only the inside will be left.

Use this to eliminate unwanted space (usually blank space) from an image. It can also center a badly composed photo.


ABC - Cut

Cut
Use the left mouse button to outline the area (selection), click on the Edit menu, then Cut (or use the Cut tool on the toolbar.)

The area inside the outline will be removed from the image. The cut portion is placed on the Windows Clipboard, and may be pasted in elsewhere.


ABC - Copy

Copy
Click on the Edit menu, select Copy (or use the Copy tool on the toolbar.)

Use the left mouse button to outline the area (selection). The area inside the outline will be placed on the Windows Clipboard, and may be pasted in elsewhere.


ABC - Paste

Paste
Click on the Edit menu, then Paste (or use the Paste tool on the toolbar.)

If you have an Edit outline around an area of the current image, an image stored on the Windows Clipboard will be pasted into your outline. The Clipboard image will be re-sized to fit the outline, and the rest of the image will stay as it was. This feature is very useful for editing images or portions of them.

If there is no Edit outline, an image on the Windows Clipboard will replace the entire image in the viewer.


ABC - Delete

Delete
Click on the Edit menu, select Delete (or use the Delete tool on the toolbar).

Removes the entire image from the viewer. This does not affect the image stored on your disk drive.


ABC - Clear Clipboard

Clear Clipboard
Removes the contents of the Windows Clipboard.


ABC - Flip

Flip
Click on the Image menu, then Flip or use the Flip tool on the toolbar.)

The image will turn upside-down. The left/right orientation will stay the same.


ABC - Mirror

Mirror
Click on the Image menu, then Mirror or use the Mirror tool on the toolbar.)

The image will turn side-to-side, as in a mirror.


ABC - Rotate

Rotate
Click on the Image menu, then Rotate or use the Rotate tool on the toolbar.

The image will turn X degrees.


ABC - Resize

Resize
Click on the Image menu, then Resize or use the Resize tool on the toolbar.

A dialog allows you to choose the new size for the image. There are several built in choices, or you can type over the old numbers. The first number is width, the second height, both in pixels. Leave the Preserve aspect ratio box checked, type in one number and the other will be calculated for you.

Click OK to resize the image.


ABC - Capture.

Capture
Click on the Image Menu, then then point the mouse at Capture. A submenu allows you to select one of the options to capture the image.

With Smart Converter you may Capture the desktop (Desktop option), Capture a bitmap image of the active window (Window option), Capture a bitmap of a selected object (Object option) or Capture a bitmap of a selected area (Area option).


ABC - Count Colors Used

Count Colors Used
Click on the Image menu, then Count colors used.

The number of unique colors in this image is displayed.


ABC - Adjust Colors

Adjust Colors
Click on the Effects menu then Colors, then point the mouse at Adjust. A submenu allows you to select one of the effects.

You can change brightness, contrast, RGB, HSL and HSV. Move the settings up or down, to adjust colors. You will see the image change as you move the control.

When you are satisfied, click OK. To quit without changes, click Cancel.


ABC - Negative

Negative
Click on the Effects menu then Colors, click Negative.

The image is converted to a reversed color version of the original.


ABC - Grayscale

Grayscale
Click on the Effects menu then Colors, click Grayscale.

Grayscale is actually a color mode, like RGB. It contains more information about the photo than Black and White. Converting from color to grayscale will usually give a better effect than from color to black and white.


ABC - Tint to Color

Tint to Color
Click on the Effects menu then Colors, click Tint to color.

Works likes grayscale, but base colors are black and selected color.


ABC - Change Color Depth

Change Color Depth
Click on the Effects menu then Colors, then point the mouse at Change color depth. A submenu allows you to select one of the color depth combinations.


ABC - Swap Colors

Swap Colors
Click on the Effects menu then Colors, then point the mouse at Swap Colors. A submenu allows you to select one of the color combinations to change the image.

This command operates at the pixel level, changing the color of all, or most, depending on which combination you select.

Example: if you choose RGB -> RBG, the pixels that are green will be made blue, and the blue pixels will be made green. (In this combination the red pixels stay the same.)

The possible swaps are:
RGB -> RBG
RGB -> BGR
RGB -> BRG
RGB -> GRB
RGB -> GBR


ABC - Filters

Filters
Click on the Effects menu, then point the mouse at Filters to access these options.

All of these filters can be used on a smaller portion (selection) of an image, as well as the entire image.

The filters possible are: Blur, Emboss, Emboss more, Enhance, Find all, Find vertically, Focus, Gaussian soft, Hi pass, Sharpen, Soften, Soften more and Sun.

For example, Blur filter softens the image, creating a blurry or fuzzy look.


ABC - Morphing

Morphing
Click on the Effects menu, then point the mouse at Morphing to access these options.

  • The "Maximum" filter is typically applied to an image to remove negative outlier noise.

  • The "Minimum" filter is typically applied to an image to remove positive outlier noise.

  • The "Opening" filter operation will reduce small positive oriented regions and positive noise regions.

  • The "Closing" filter operation will reduce small negative oriented regions and negative noise regions.
    • Copyright © 2002-2003, Acoll Software


ABC - Distort

Distort
Click on the Effects menu, then point the mouse at Distort to access these options.

All of these distort effects can be used on a smaller portion (selection) of an image, as well as the entire image.

The effects possible are: Bump map, Lens, Wave and Edge Detection.


ABC - Toolbar

Toolbar
Turn the toolbar on by using the View Menu, and selecting the Toolbar option. Turn the bar off by again clicking on View and Toolbar.

The toolbar contains:

Batch Mode

Open
Convert
Options

Copy
Cut
Paste
Delete

Previous image
Next image

Print

Flip
Mirror
Rotate
Resize

Help
About

Exit


ABC - Statusbar

Statusbar
The Statusbar allows to view image index, image name, image size, file size, zoom factor and loading time of image.

Turn the statusbar on by using the View Menu, and selecting the Statusbar option. Turn the bar off by again clicking on View and Statusbar.


ABC - Image

Image
Click on the View menu, then Image. A dialog shows the possible options. Select one.

Next. Smart Converter displays the next supported file in the current directory.
Previous.Smart Converter displays the previous supported file in the current directory.
First. Smart Converter displays the first supported file in the current directory.
Last. Smart Converter displays the final supported file in the current directory.


ABC - Fit Big Images To Window

Fit Big Images To Window
Click this to have the Smart Converter reduce oversized images until they can be seen fully in the window. Images smaller than the window will not be changed.

Turn this option on by using the View Menu, and selecting the "Fit big images to window" option. Turn this option off by again clicking on View and "Fit big images to window".


ABC - Zoom In

Zoom In
Click on the View menu, then Zoom in.

Increases size of the image. Click again for more increase.

The amount of each increase can be set using Zoom Value on the Zoom menu, Options dialog. The default is 10% increase per use.


ABC - Zoom Out

Zoom Out
Click on the View menu, then Zoom out.

Decreases size of the image. Click again for more decrease.

The amount of each deccrease can be set using Zoom Value on the Zoom menu, Options dialog. The default is 10% deccrease per use.


ABC - Actual Pixels.

Actual Pixels
Click on the View menu, then Actual Pixels.

Removes Zoom In or Zoom Out, returns image to its normal size.


ABC - Add to Favorites.

Add to Favorites
The Favorites list displays a list of shortcuts to images you wish to access frequently.

Adding items to the favorites list:
1. Open the image you want to add.
2. Click the Favorites menu then Add to Favorites.


ABC - Organize favorites.

Organize Favorites
Click the Favorites menu then Organize Favorites. A dialog box will open.

Click the OK button to organize your favorites. To close the dialog without organizing, click the Cancel button.


ABC - Contents

Contents
Click on the Help menu, then Contents (or use the Help tool on the toolbar).

This Help file (the one you are reading now) will appear.


ABC - About.

About
Click the Help menu and select About (or use the About tool on the toolbar.)

Gives the current version number of Smart Converter, web address for the Smart Converter homepage and registration information.

When done viewing the information, click on the bar that says "OK"


ABC - How to Use Keyboard?

How to Use Keyboard?
  • Open Image - Ins
  • Convert Image - F2
  • Batch Mode - Ctrl+B
  • Options - Ctrl+O
  • Print - Ctrl+P
  • Exit - Alt+F4
  • Undo - Ctrl+Z
  • Crop - Ctrl+Y
  • Cut - Ctrl+X
  • Copy - Ctrl+C
  • Paste - Ctrl+V
  • Delete - Ctrl+D
  • Clear clipboard - Alt+D
  • Flip - Ctrl+R
  • Mirror - Ctrl+M
  • Rotate - Ctrl+R
  • Resize - Shift+R
  • Change DPI - Shift+D
  • Count colors used - Shift+C
  • Adjust colors - Alt+A
  • Negative - Ctrl+N
  • Grayscale - Ctrl+G
  • Tint to color - Ctrl+T
  • Show/Hide ToolBar - Alt/W/T
  • Show/Hide StatusBar - Alt/W/S
  • Next Image - PgDn
  • Previous Image - PgUp
  • First Image - Home
  • Last Image - End
  • Zoom in - Alt+I
  • Zoom out - Alt+O
  • Actual pxels - Alt+A
  • Help - F1
  • About - Ctrl+A
    note: if you would like to use popup menu - click right mouse button.
    • Copyright © 2002-2003, Acoll Software


ABC - Technical Support

Technical Support
How to get support?

Before contacting us, please read the help file that comes with the Smart Converter. Your questions may have already been answered.

If you did not find the answer to your question, we will be glad to help you. We provide technical support to both licensed and non-licensed customers, so even if you are just evaluating our product, we will certainly try to answer your question. You will receive a reply to your question within the following time frames:

    Customers: max. 48 hours (normally faster; we may not be available on weekends and holidays).
    Everyone else: we cannot make any commitments, but we will definitely answer every e-mail.
Note that these figures refer to the maximum response time. In practice, 80% of all queries are handled within just a few hours. Unlike many big companies, we don't send any automated responses that usually don't help you much. Each support request is carefully read by our support staff and often discussed with the programmers to give you the most comprehensive answer possible.

Contact forms

You can submit your support request either by using one of the web-based forms listed below, or by e-mail. We'd strongly recommend that you use the web-based forms because they will lead you through the most important questions we have to ask to provide you with quality support. If you submit your request by e-mail, you might forget to tell us some important facts and we will end up exchanging many unnecessary e-mails before we get to the point.

We kindly request you not to send duplicate e-mails to different company addresses accompanied by multiple contact form submissions. One message is enough: we value every customer and reply to every query. Thank you!

    Technical Support Contact Form
    For technical questions and bug reports
    Registration Information Request Form
    For lost registration info / serial number
    General Comments / Questions Form
    For all other questions, comments, and queries
As mentioned above, if for some reason you cannot or don't want to use the web-based forms, you can also submit support requests by e-mail: support@smartconverter.com for all other customers.


ABC - Contact Us

Contact Us
Feedback forms:

Before contacting us, please read the help file that comes with the Smart Converter. Your questions may have already been answered.

If your question is not answered in the help file that comes with the Smart Converter, please use one of the feedback forms below:

    Technical Support Contact Form
    For technical questions and bug reports
    Registration Information Request Form
    For lost registration info / serial number
    General Comments / Questions Form
    For all other questions, comments, and queries
Be sure to give us the correct e-mail address: otherwise, we won't be able to answer your question.

E-mail:

You can e-mail us directly at sales@smartconverter.com (sales-related questions) or support@smartconverter.com (all other questions). It is highly desirable that you use a feedback form rather than send an e-mail message if you have a technical question.

Phone and Fax:

Phone: +1-206-309-5256
Fax: +1-206-309-5257


ABC - Copyright And License

Copyright And License
The Smart Converter is evaluation trial. This means:

  • Acoll Software exclusively owns all copyrights to Smart Converter.

  • Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use Smart Converter, you MUST register.

  • Once registered, the user is granted a non-exclusive license to use Smart Converter on one computer (i.e. a single CPU), for any legal purpose, at a time. The registered Smart Converter software may not be rented or leased but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

  • The Smart Converter unregistered evaluation version may be freely distributed, if the distribution package is not modified. No person or company may charge a fee for the distribution of Smart Converter without written permission from the copyright holder.

  • SMART CONVERTER IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

  • You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorised use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

  • Acoll Software reserves all rights not expressly granted here.

  • Installing and using Smart Converter signifies acceptance of these terms and conditions of the license. If you do not agree with the terms of this license you must remove Smart Converter files from your storage devices and cease to use the product.
    • Copyright © 2002-2003, Acoll Software